## org.gnu.gdk
Class SettingAction

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.SettingAction

public class SettingAction
extends org.gnu.glib.Enum

Field Summary
`static SettingAction` `CHANGED`
`static SettingAction` `DELETED`
`static SettingAction` `NEW`

Method Summary
`SettingAction` `and(SettingAction other)`
`static SettingAction` `intern(int value)`
`SettingAction` `or(SettingAction other)`
`boolean` `test(SettingAction other)`
`SettingAction` `xor(SettingAction other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW

    public static final SettingAction NEW

### CHANGED

    public static final SettingAction CHANGED

### DELETED

    public static final SettingAction DELETED

Method Detail

### intern

    public static SettingAction intern(int value)

### or

    public SettingAction or(SettingAction other)

### and

    public SettingAction and(SettingAction other)

### xor

    public SettingAction xor(SettingAction other)

### test

    public boolean test(SettingAction other)